#Setting 1
# Needs inputs
# Samplesize: n
# Vector of degrees of Freedom under H1: v
# p-Level: p
# Number of Simulations: N
# Number of Businesslies: m
#In-sample period to fit: TIME




simsUC1.size <- function(x){
#Results for N simulations
a.bon.erg       <- numeric(N)
t.erg           <- matrix(NA,nrow=N,ncol=m)#
erg <- list(matrix(nrow=N, ncol=length(v)),matrix(nrow=N, ncol=length(v)),
replicate(length(v),matrix(NA,nrow=N, ncol=m)) )

 for(j in 1:length(v)){
for(i in 1:N){
print(paste(v[j]," - ",i))
try({
 #Daten erzeugen
    H1 <- erzeuger.uc1.real(n,m,frei0=Inf,frei1=v[j],p)
    while(any(colSums(H1)==0)){H1 <- erzeuger.uc1.real(n,m,frei0=Inf,frei1=v[j],p)}

  #testen
  t.erg[i,]       <-  tES.size(H1)
  a.bon.erg[i]   <-  a.test.size(H1,boot=FALSE)
  # Result in a list
  if(i==N){erg[[1]][,j] <- a.bon.erg; erg[[2]][,j] <- a.erg; erg[[3]][,,j] <- t.erg  }
  })
}}

return(erg)
}


# Setting 2
# Needs inputs
# Samplesize: n
# Value of a under H1: a
# p-Level: p
# Number of Simulations: N
# Number of Businesslies: m
#In-sample period to fit: TIME


simsA2 <- function(a){
#Ergebnisse fuer N Simulationen
a.bon.erg          <- numeric(N)
t.erg           <- numeric(N)
erg <- list(matrix(nrow=N, ncol=1),matrix(nrow=N, ncol=1),matrix(nrow=N, ncol=1) )

 for(i in 1:N){
print(i)
    H1 <- erzeuger.a2(n,m, a=a)
    while(any(colSums(H1)==0)){H1 <- erzeuger.a2(n,m, a=a)}
  #testen
  t.erg[i]       <-  tES.size(H1)
  a.bon.erg[i]   <-  a.test.size(H1,boot=FALSE)
  if(i==N){erg[[1]][,1] <- a.bon.erg; erg[[2]][,1] <- a.erg; erg[[3]][,1] <- t.erg  }
}

return(erg)
}

